 -- Script to create table and sp for error logging
CREATE TABLE tblerrorlog
 (
  errorid                    NUMBER(*,0) NOT NULL,
  datecreated                DATE NOT NULL,
  appId                      NUMBER(*,0),
  errorreport                LONG NOT NULL
 )
 PCTFREE    10
 PCTUSED    40
 INITRANS   1
 MAXTRANS   255
 TABLESPACE users
/

CREATE SEQUENCE SEQERRORLOGID
 INCREMENT BY  1
 START WITH  1
/

CREATE OR REPLACE
Procedure SPERRORLOGINSERT
   ( pAppID IN NUMBER,
     pErrorReport IN LONG)
   IS
BEGIN
    Insert INTO tblErrorLog
    (ErrorID, DateCreated, AppID, ErrorReport)
    Values
    (SEQERRORLOGID.NextVal(), SysDate(), pAppID, pErrorReport);
END; -- Procedure SPERRORLOGINSERT
-- Attention!! comment/uncomment the appropriate lines in ErrSaveToDB in HuntERR31.BAS !!!
/
